fop 1.1

## org.apache.fop.fo.expr
Class AbsFunction

    java.lang.Object
      org.apache.fop.fo.expr.FunctionBase
          org.apache.fop.fo.expr.AbsFunction

All Implemented Interfaces:
  Function

    public class AbsFunction

extends FunctionBase

Class modelling the abs Number Function. See Sec. 5.10.1 of the XSL-FO spec.

Constructor Summary
`AbsFunction()`

Method Summary
`Property` `eval(Property[] args, PropertyInfo propInfo)` Evaluate the function
`int` `getRequiredArgsCount()`

Methods inherited from class org.apache.fop.fo.expr.FunctionBase
`getOptionalArgDefault, getOptionalArgsCount, getPercentBase, getPropertyName, hasVariableArgs`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbsFunction

    public AbsFunction()

Method Detail

### getRequiredArgsCount

    public int getRequiredArgsCount()

  Returns:
    the number of required (non-optional) arguments that must be specified in the argument list

### eval

    public Property eval(Property[] args,
                         PropertyInfo propInfo)
                  throws PropertyException

  Evaluate the function

  Parameters:
    `args` - an array of Properties that should be evaluated
    `propInfo` - property information instance that applies to property being evaluated
  Returns:
    the Property satisfying the function
  Throws:
    `PropertyException` - for problems when evaluating the function

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.